ocrfeeder-cli(1)

NAME
ocrfeeder-cli - command line interface for OCRFeeder, a document layout analysis and optical character recognition system.

SYNOPSIS
ocrfeeder-cli [OPTIONS]

DESCRIPTION
This manual page documents briefly the ocrfeeder-cli command.

OCRFeeder Given the images it will automatically outline its contents, distinguish between what's graphics and text and perform OCR over the latter. It generates multiple formats being its main one ODT.

OPTIONS

  Generic program information

--version
    Show program version number and exit

-h, --help
    Show help message and exit

  Required options

-o OUTPUT_FILE, --output=OUTPUT_FILE
    Name for the generated file

  Other options

-i IMAGE1 [IMAGE2 ...], --images=IMAGE1 [IMAGE2 ...]
    Images to be recognized

-f FORMAT, --format=FORMAT
    Format for the generated document: PDF, HTML, ODT, TXT or SPDF (searchable PDF)

-e ENGINE, --engine=ENGINE
    The OCR engine to be used. Options are: GOCR or Ocrad

-l LANGUAGE, --language=LANGUAGE
    The language according to the ISO-639-1. For example "pt" for Portuguese or "en" for English

--window-size=WINDOW_SIZE
    Desired window size of OCRFeeder's segmentation algorithm. If this option is not used, the window size will be calculated automatically

FOLDERS

~/.config/ocrfeeder/engines/
    Folder to hold the engines' configuration files

SEE ALSO
ocrfeeder(1)

AUTHOR
This manpage has been written by Joaquim Rocha <me@joaquimrocha.com> and Alberto Garcia <agarcia@igalia.com>